input[type=text]:not(.browser-default):focus:not([readonly]) {
    border-bottom: 1px solid #BB2649 !important;
    box-shadow: 0 1px 0 0 #BB2649 !important;
}

input[type=text]:not(.browser-default):focus:not([readonly])+label {
    color: #BB2649 !important;
}

.add_button {
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
}

.btn {
    background-color: #BB2649 !important;
}

.btn:focus,
.btn-large:focus,
.btn-small:focus,
.btn-floating:focus {
    background-color: #BB2649 !important;
}

.btn:hover,
.btn-large:hover,
.btn-small:hover {
    background-color: #BB2649 !important;
    color: #fff !important;
}

.custom_label {
    top: -35px !important;
    left: 10px !important;
}

.custom-top-label {
    transform: translate(-12.5%, -1.5em) scale(.9, .9) !important;
    padding: 0 8px;
    position: absolute;
    font-size: 14px !important;
    font-weight: 400 !important;
    color: #454545 !important;
}

[type="radio"]:checked+span:after,
[type="radio"].with-gap:checked+span:after {
    background-color: #BB2649 !important;
}

[type="radio"]:checked+span:after,
[type="radio"].with-gap:checked+span:before,
[type="radio"].with-gap:checked+span:after {
    border: 2px solid #BB2649 !important;
}

.input-field .helper-text {
    color: #BB2649 !important;
}

.input-field>label {
    font-size: 16px !important;
    font-weight: 400 !important;
    color: #454545 !important;
    line-height: 21px !important;
}

.dropdown-content li>a,
.dropdown-content li>span {
    font-size: 14px !important;
    color: #BB2649 !important;
    display: block;
    line-height: 21px !important;
    padding: 10px 16px !important;
}

input:not([type]),
input[type=text]:not(.browser-default),
input[type=password]:not(.browser-default),
input[type=email]:not(.browser-default),
input[type=url]:not(.browser-default),
input[type=time]:not(.browser-default),
input[type=date]:not(.browser-default),
input[type=datetime]:not(.browser-default),
input[type=datetime-local]:not(.browser-default),
input[type=tel]:not(.browser-default),
input[type=number]:not(.browser-default),
input[type=search]:not(.browser-default),
textarea.materialize-textarea {
    font-size: 14px !important;
    font-weight: 400 !important;
    color: #333333 !important;
    line-height: 21px !important;
    font-family: "Poppins" !important;
}

.required-star {
    color: #BB2649;
}

[type="checkbox"]:checked+span:not(.lever):before {
    border-right: 2px solid #BB2649 !important;
    border-bottom: 2px solid #BB2649 !important;
}

.select-wrapper+label {
    left: 10px !important;
}

.select-wrapper+label {
    top: -30px !important;
    line-height: 1 !important;
}

input::placeholder {
    color: #818386;
}

.select-wrapper input.select-dropdown:focus,
input.valid[type=password]:not(.browser-default) {
    border-bottom: 1px solid #BB2649 !important;
}

[type="radio"]:not(:checked)+span,[type="radio"]:checked+span {
    padding-left: 25px !important;
}

[type="checkbox"]+span:not(.lever) {
    /* color: #fff; */
    padding-left: 25px;
    text-transform: none;
}
button#select-all-btn {
    background: #F3CBD4 !important;
}
a.remove_field {
    width: 0px;
}
img.datatable_img {
    width: 52px;
    height: 52px;
}
.nav-tabs.info_heading {
    font-size: 19px;
    color: #333333;
}
.datepicker-date-display, .datepicker-table td.is-selected,
button.month-next:focus, button.month-prev:focus {
    background-color: #BB2649;
    color: #fff !important;
}
.datepicker-cancel, .datepicker-clear, .datepicker-today, .datepicker-done,
.datepicker-table td.is-today, .timepicker-close
{
    color: #BB2649;
}
.datepicker-modal{
    max-height: 55% !important;
}
.row.add_group_model {
    border: 1px solid grey;
}
div#staff_member_model {
    width: 70%;
}
.timepicker-digital-display
{
    background-color: #BB2649 !important;
}
span.timepicker-span-hours.text-primary,.pm-btn.text-primary,
.am-btn.text-primary,span.timepicker-span-minutes.text-primary
{
    color: #fff !important;
}
div#membership_filter {
    text-align: end;
}
.nav_text {
    color: #ffffff;
}
.guardian_div {
    border: 1px solid #dee2e6;
    padding: 15px;
    margin-bottom: 7px;
}
ul.dropdown-menu.dropdown_action{
    position: absolute;
    inset: 0px 59px auto auto !important;
    margin: 0px;
    transform: translate(-8px, 57px) !important;
    height: fit-content !important;
}
tr.even.ul.dropdown-menu.dropdown_action.border-0.rounded-0.ps-2.show {
    transform: translate(761px, 137px) !important;
}
/* @media(min-width: 280px) and (max-width: 975px){
    ul.dropdown-menu.dropdown_action{
        transform: translate(673px, 53px) !important;
    }
} */
/* @media screen and (max-width: 540px) {
    .titleup {
        font-size: 50px;
    }
} */

.modal-content{
    border: none;  
}
div#sourcemodel,div#interested_area_model, div#groupmodel, div#staff_member_model, div#specializationmodel,
.datepicker-modal, div#eventplacemodal, div#rolemodel, div#category_add, div#notice_view_model, div#categoryaddmodel,
div#booking_view_model, div#installment_plan_model, div#class_schedule_view, div#productcategory_add, div#product_details_model,
div#add_payment_model {
    background-color: #fff;
}
@media(min-width: 396px) and (max-width: 575px){
    ul.dropdown-menu.dropdown_action {
        transform: translate(682px, 53px) !important;
    }
}
@media(min-width: 280px) and (max-width: 395px){
    ul.dropdown-menu.dropdown_action {
        transform: translate(257px, 59px) !important;
    }
}
@media(min-width: 576px) and (max-width: 980px){
    ul.dropdown-menu.dropdown_action{
        position: absolute;
        inset: 0px 0px 0px -15px !important;
        margin: 0px;
        transform: translate(682px, 53px);
        height: 100px !important;
    }
}
@media(min-width: 981px) and (max-width: 1006px){
    ul.dropdown-menu.dropdown_action {
        transform: translate(542px, 53px) !important;
    }
}
@media(min-width: 1007px) and (max-width: 1023px){
    ul.dropdown-menu.dropdown_action {
        transform: translate(554px, 53px) !important;
    }
}
@media(min-width: 1024px) and (max-width: 1076px){
    ul.dropdown-menu.dropdown_action {
        transform: translate(598px, 53px) !important;
    }
}
@media(min-width: 1080px) and (max-width: 1100px){
    ul.dropdown-menu.dropdown_action {
        transform: translate(605px, 53px) !important;
    }
}
/* @media only-screen (min-width: 360px){
    .col-2.add_interest_button.pe-0 {
        display: contents !important;
    }
} */
/* @media (width: 360px){
   
    .col-2.add_interest_button.pe-0 {
        display: contents !important;
    }
} */
/* .col-2.add_interest_button.pe-0 {
    display: contents;
} */

.file-field.input-field.staff_img {
    display: grid;
}
@media(width: 393px){
    div#dataTable_filter {
        text-align: start !important;
    }
}
.nav>li>a {
    position: relative;
    display: block;
}
p.title_weight {
    color: #BB2649;
}
.row.report_title {
    display: inline-block;
}
/* img.add_pages {
    padding-left: 410%;
} */
::marker {
    color: #ffffff;
}
img.add_pages {
    float: right;
}
.dataTables_scrollBody {
    min-height: 250px;
    overflow: inherit !important;
}
i.fa-solid.fa-dumbbell.me-3 {
    text-align: left !important;
    font-size: 14px !important;
    display: inline;
}
a.dropdown-item.user {
    word-break: break-word;
    text-align: center;
}
i.fa-solid.fa-calendar, i.fa-solid.fa-user
{
    font-size: 16px;
}
i.fa-solid.fa-dumbbell, i.fa-solid.fa-user-check {
    font-size: 12px !important;
}
i.fa.fa-solid.fa-chart-line, i.fa-solid.fa-comment-dots {
    font-size: 15px;
}
div#groupmodel, div#interested_area_model, div#sourcemodel, div#rolemodel, div#specializationmodel,
div#category_add, div#categoryaddmodel, .timepicker-modal, div#installment_plan_model, div#eventplacemodal,
div#class_schedule_view, div#booking_view_model, div#productcategory_add, div#product_details_model,
div#add_payment_model {
    height: auto !important;
}
ul.dropdown-menu.action_dropdown{
    background: rgb(255, 255, 255);
    position: absolute;
    inset: -5px 23px auto auto !important;
    margin: 0px;
    /* transform: translate(0px, auto) !important; */
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    height: auto;
}
.popup_label_heading {
    text-transform: uppercase;
}
img.bookingdetailsimg {
    width: 27px;
}
ul.pagination {
    margin-bottom: 0px;
}
.dropdown-item.active, .dropdown-item:active{
    color: #333333 !important;
    background-color: #fff !important;
}
ul.dropdown-menu.action_dropdown>li>a.dropdown-item:hover{
    color: #BB2649 !important;
    background-color: #fff !important;
}
ul.dropdown-menu.action_dropdown>li {
    padding: 2px;
}
hr {
    width: 96% !important;
    margin-left: 12px;
}
i.fa.fa-credit-card, i.fa.fa-bell {
    color: #666666;
}
input#first_name {
    /* height: 2rem !important; */
}
/* .msg_sidemenu{
    border-right: 1px solid lightgray;
} */

.row.chat.form-control {
    min-height: 70vh !important;
    border: 1px solid #d9d9d9;
    /* border-top: 1px solid #d9d9d9; */
    border-radius: 0px;
    border-right: 0px;
    border-bottom-left-radius: 17px;
}
span.time {
    float: inline-end;
}
.collection .collection-item.avatar{
    min-height: 58px !important;
    color: #333;
}
img.circle {
    box-shadow: 0px 5px 5px 1px rgba(0, 0, 0, 0.2);
}
/* li.collection-item.avatar>a {
    color: #333;
} */
.open_ChatBox {
    background: rgb(249 234 237);
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}
.row.search.form-control{
    width: 94%;
    border-radius: 20px;
}
/* .row.chat.form-control.rounded-0.mb-0.p-0 {
    border-top: 1px solid #e1e1e1;
} */
a.tab_links.active>ul.collection>li.collection-item.avatar{
    background: #BB2649 !important;
    color: #fff;
}
.chat_header>ul.collection>li.collection-item.avatar {
    background: #BB2649;
    border-top-right-radius: 10px;
    color: #fff;
    /* line-height: 40px; */
}
i.material-icons {
    color: #9e9e9e;
}
/* div#ChatBox {
    min-height: 16rem;
} */
.ChatBox_footer {
    background: #fff;
    line-height: 43px;
    /* border-bottom-right-radius: 13px; */
    border: 1px solid #dfdede;
    border-top: 0px;
    border-right: 1px;
}
.attechment_files {
    width: 98%;
    /* background: antiquewhite; */
    border: 1px solid lightgrey;
    border-radius: 30px;
}
.file_picker {
    border-radius: 25px;
    background: #ffe7e7;
    width: 45px;
}
.text_area {
    height: 1px;
}
.send_msg {
    border-radius: 25px;
    background: #ffe7e7;
    width: 45px;
}
.chat_date_time {
    text-align: center;
    margin-left: 44%;
}
.show_date_time {
    width: fit-content;
    background: #fff;
    box-shadow: 0px 2px 5px 1px grey;
}
span.msg_data {
    background: #e7b8b8;
    width: fit-content;
    float: inline-end;
    box-shadow: 0px 2px 3px 0px #b3b1b1;
}
span.chat_time {
    float: inline-end;
}
a.dropdown-item.d-inline {
    padding-right: 190px;
    padding-top: 12px;
    padding-bottom: 12px;
}
/* ul.dropdown-menu.file.show {
    background: #fff !important;
} */
ul.dropdown-menu.file.show {
    background: #fff;
}




/*inspired from codepen.io*/
html {
    box-sizing: border-box;
    height: 100%;
    margin: 0;
    padding: 0;
  }
  
  body {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-family: "Roboto", sans-serif;
    margin: 0;
    padding: 0;
    height: 100%;
  }
  /* .chat {
    height: calc(100% - 69px);
  } */
  .chat-container {
    height: 100%;
  }
  
  .user-bar {
    height: 55px;
    background: #BB2649;
    color: #fff;
    padding: 0 8px;
    font-size: 24px;
    position: relative;
    z-index: 1;
  }
  
  .user-bar:after {
    content: "";
    display: table;
    clear: both;
  }
  
  .user-bar div {
    float: left;
    transform: translateY(-50%);
    position: relative;
    top: 50%;
  }
  
  .user-bar .actions {
    float: right;
    margin: 0 0 0 20px;
  }
  
  .user-bar .actions.more {
    margin: 0 12px 0 32px;
  }
  
  .user-bar .actions.attachment {
    margin: 0 0 0 30px;
  }
  
  .user-bar .actions.attachment i {
    display: block;
    transform: rotate(-45deg);
  }
  
  .user-bar .avatar {
    margin: 0 0 0 5px;
    width: 36px;
    height: 36px;
  }
  
  .user-bar .avatar img {
    border-radius: 50%;
    box-shadow: 0 1px 0 rgba(255, 255, 255, 0.1);
    display: block;width: 100%;
  }
  
  .user-bar .name {
    font-size: 17px;
    font-weight: 600;
    text-overflow: ellipsis;
    letter-spacing: 0.3px;
    margin: 0 0 0 8px;
    overflow: hidden;
    white-space: nowrap;
    width: auto;
  }
  
  .user-bar .status {
    display: block;
    font-size: 13px;
    font-weight: 400;
    letter-spacing: 0;
    width:auto;
  }
  
  .conversation {
    /* height: calc(100% - 12px); */
    position: relative;
    /* background: #efe7dd url("https://cloud.githubusercontent.com/assets/398893/15136779/4e765036-1639-11e6-9201-67e728e86f39.jpg") repeat; */
    z-index: 0;
  }
  
  .conversation ::-webkit-scrollbar {
    transition: all .5s;
    width: 5px;
    height: 1px;
    z-index: 10;
  }
  
  .conversation ::-webkit-scrollbar-track {
    background: transparent;
  }
  
  .conversation ::-webkit-scrollbar-thumb {
    background: #b3ada7;
  }
  
  .conversation .conversation-container {
    /* height: 41vh; */
    /* box-shadow: inset 0 10px 10px -10px #000000; */
    overflow-x: hidden;
    padding: 0 16px;
    margin-bottom: 5px;
  }
  
  .conversation .conversation-container:after {
    content: "";
    display: table;
    clear: both;
  }
  
  .message {
    color: #000;
  clear: both;
    line-height: 18px;
    font-size: 15px;
    padding: 8px;
    position: relative;
    margin: 8px 0;
    max-width: 80%;
    word-wrap: break-word;
  
  }
  
  /* .message:after {
    position: absolute;
    content: "";
    width: 0;
    height: 0;
    border-style: solid;
  }
   */
  .metadata {
    display: inline-block;
    float: right;
    padding: 0 0 0 7px;
    position: relative;
    bottom: -4px;
  }
  .metadata .time {
    color: rgba(0, 0, 0, .45);
    font-size: 11px;
    display: inline-block;
  }
  
  .metadata .tick {
    display: inline-block;
    margin-left: 2px;
    position: relative;
    top: 4px;
    height: 16px;
    width: 16px;
  }
  
  .metadata .tick svg {
    position: absolute;
    transition: .5s ease-in-out;
  }
  
  .metadata .tick svg:first-child {
    -webkit-backface-visibility: hidden;
            backface-visibility: hidden;
    -webkit-transform: perspective(800px) rotateY(180deg);
            transform: perspective(800px) rotateY(180deg);
  }
  
  .metadata .tick svg:last-child {
    -webkit-backface-visibility: hidden;
            backface-visibility: hidden;
    -webkit-transform: perspective(800px) rotateY(0deg);
            transform: perspective(800px) rotateY(0deg);
  }
  
  .metadata .tick-animation svg:first-child {
    -webkit-transform: perspective(800px) rotateY(0);
            transform: perspective(800px) rotateY(0);
  }
  
  .metadata .tick-animation svg:last-child {
    -webkit-transform: perspective(800px) rotateY(-179.9deg);
  transform: perspective(800px) rotateY(-179.9deg);
  }
  
  .message:first-child {
    margin: 16px 0 8px;
  }
  
  .message.received {
    background: #fff;
    border-radius: 0px 5px 5px 5px;
    float: left;
  }
  
  .message.received .metadata {
    padding: 0 0 0 16px;
  }
  
  .message.received:after {
    border-width: 0px 10px 10px 0;
    border-color: transparent #fff transparent transparent;
    top: 0;left: -10px;
  }
  
  .message.sent {
    /* background: #e1ffc7;
    border-radius: 5px 0px 5px 5px;
    float: right; */

    background: #e7b8b8;
    width: fit-content;
    float: inline-end;
    box-shadow: 0px 2px 3px 0px #b3b1b1;
  }
  
  /* .message.sent:after {
    border-width: 0px 0 10px 10px;
    border-color: transparent transparent transparent #e1ffc7;
    top: 0;
    right: -10px;
  } */
  
  
  .conversation-compose {
    display: flex;
    flex-direction: row;
  align-items: flex-end;
    overflow: hidden;
    height: 50px;
    width: 100%;
    z-index: 2;
  }
  
  .conversation-compose div,
  .conversation-compose input {
    background: #fff;
    height: 100%;
  }
  
  .conversation-compose .emoji {
    display: flex;
    align-items: center;
    justify-content: center;
    background: white;
    border-radius: 5px 0 0 5px;
    flex: 0 0 auto;
    margin-left: 8px;
    width: 48px; 
  }
  
  .conversation-compose .input-msg {
    border: 0;
    flex: 1 1 auto;
    font-size: 16px;
    margin: 0;
    outline: none;
    min-width: 50px;
  }
  
  .conversation-compose .photo {
    flex: 0 0 auto;
    border-radius: 0 0 5px 0;
    text-align: center;
    position: relative;
    width: 48px;
  }
  
  .conversation-compose .photo:after {
    border-width: 0px 0 10px 10px;
    border-color: transparent transparent transparent #fff;
  border-style: solid;
    position: absolute;
    width: 0;
    height: 0;
    content: "";
    top: 0;
    right: -10px;
  }
  
  .conversation-compose .photo i {
    display: block;
    color: #7d8488;
    font-size: 24px;
    transform: translate(-50%, -50%);
    position: relative;
    top: 50%;
    left: 50%;
  }
  
  .conversation-compose .send {
    background: transparent;
    border: 0;
  cursor: pointer;
    flex: 0 0 auto;
    margin-left: 8px;
    margin-right: 8px;
    padding: 0;
    position: relative;
    outline: none;
  }
  
  .conversation-compose .send .circle {
    background: #008a7c;
    border-radius: 50%;
    color: #fff;
    position: relative;
    width: 48px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  .conversation-compose .send .circle i {
    font-size: 24px;
    margin-left: 5px;
  }
  
  
  
    .marvel-device .status-bar {
      display: none;
    }
  
    .screen-container {
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
    }
  
    /* .conversation {
      height: calc(100vh - 55px);
    }
    .conversation .conversation-container {
      height: calc(100vh - 120px);
    } */
  .back{
      font-size:30px;
      float:left;
  }
  .forward{
      font-size:30px;
      float:right;
  }

  ul.dropdown-menu.meeting.show {
    position: relative !important;
    height: 100px !important;
    transform: translate(0px, 0px) !important;
}

